
QGIS Application - Bug report #21885

Crash when calling QgsRasterHistogram.histogramVector

2019-04-18 11:19 PM - Anita Graser

Status: Open

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29700

Description

User Feedback

To reproduce, load a raster layer and run:

l = iface.activeLayer()

p = l.dataProvider()

p.initHistogram(QgsRasterHistogram(),1,100)

h=p.histogram(1)

h.histogramVector

Report Details

Crash ID: 83fbcfe1e268fc8a14c5f21189006505dfb05fea

Stack Trace

PyObject_GenericGetAttrWithDict :

PyObject_GetAttr :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyImport_Import :

PyImport_Import :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

PyInit_Qsci :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

PyInit_Qsci :

QApplicationPrivate::notify_helper :

QApplication::notify :
QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-04-18 11:40 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2019-04-19 09:02 AM - Anita Graser

Related thread on GIS.SE: https://gis.stackexchange.com/questions/319163/how-to-use-qgsrasterinterface-histogram/319267#319267
